Bug 1468049 - [RFE][Docs] Document best practices for MTU and ethernet device settings with regards to the multi-tenant SDN plugin [NEEDINFO]
[RFE][Docs] Document best practices for MTU and ethernet device settings with...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.4.1
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: brice
Meng Bo
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 18:36 EDT by Brennan Vincello
Modified: 2017-09-06 20:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 21:01:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erich: needinfo? (bvincell)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2174581 None None None 2017-09-06 20:46 EDT

  None (edit)
Description Brennan Vincello 2017-07-05 18:36:59 EDT
Description of problem:

Requesting best practices for MTU and ethernet device settings with regards to the multi-tenant SDN plugin

Version-Release number of selected component (if applicable): OCP 3.4

Existing docs:

OpenShift SDN
https://docs.openshift.com/container-platform/3.4/architecture/additional_concepts/sdn.html#architecture-additional-concepts-sdn

Configuring the SDN
https://docs.openshift.com/container-platform/3.4/install_config/configuring_sdn.html

Troubleshooting OpenShift SDN
https://docs.openshift.com/container-platform/3.4/admin_guide/sdn_troubleshooting.html

Additional info: 

After noting TCP packet loss between hosts and ingress hosts, causing cross Data Center OpenSSL to not work, MTU was increased to 8950. This resolved the issue but it's unclear if this is optimal.


Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:
Comment 3 brice 2017-07-28 02:26:15 EDT
Submitted a docs PR for this:

https://github.com/openshift/openshift-docs/pull/4862

Still a WIP, but might be enough information for any customer cases.
Comment 4 openshift-github-bot 2017-08-10 19:26:57 EDT
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/9cb4c62db9cb32eaf68afc5fefcb7adff43a8332
Merge pull request #4862 from bfallonf/mtu_1468049

Bug 1468049 added MTU information to the performance guide
Comment 5 brice 2017-08-10 19:28:31 EDT
The above PR has merged. Please let us know if there's anything more needed to help with the customer cases.

Note You need to log in before you can comment on or make changes to this bug.